Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 1309263004: Add /Zc:sizedDealloc- to work around VS 2015 bug (Closed)

Created:
5 years, 3 months ago by brucedawson
Modified:
5 years, 3 months ago
Reviewers:
scottmg
CC:
chromium-reviews, Ilya Kulshin
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add /Zc:sizedDealloc- to work around VS 2015 bug VS 2015's support for VC++ 14 sized deallocs causes __global_delete to be exported from many object files, causing obscure and hard to track linker errors. The best workaround, as suggested here: https://connect.microsoft.com/VisualStudio/feedback/details/1379741/-global-delete-function-is-inconsistently-generated Is to use /Zc:sizedDealloc- to disable the new C++14 feature support that is triggering this behavior change. R=scottmg@chromium.org BUG=526851 Committed: https://crrev.com/690f7eab5ea2a2a7abb33100a37e5526947b1f22 Cr-Commit-Position: refs/heads/master@{#346671}

Patch Set 1 #

Patch Set 2 : Adding gn support. #

Total comments: 2

Patch Set 3 : Add periods to comments. #

Patch Set 4 : Add check for Windows #

Patch Set 5 : Fix sloppy typo. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -0 lines) Patch
M build/common.gypi View 1 2 3 4 1 chunk +10 lines, -0 lines 0 comments Download
M build/config/compiler/BUILD.gn View 1 2 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 16 (4 generated)
brucedawson
Scott, this fixes the current VS 2015 debug build problem. Can you take a look? ...
5 years, 3 months ago (2015-08-31 23:24:31 UTC) #1
scottmg
lgtm, I don't think anyone has tried to get GN vs2015 working yet (other than ...
5 years, 3 months ago (2015-08-31 23:31:58 UTC) #2
scottmg
(Nice hunting, btw!)
5 years, 3 months ago (2015-08-31 23:33:00 UTC) #3
brucedawson
Periods added to both comments. Committing now. https://codereview.chromium.org/1309263004/diff/20001/build/common.gypi File build/common.gypi (right): https://codereview.chromium.org/1309263004/diff/20001/build/common.gypi#newcode3338 build/common.gypi:3338: # Work ...
5 years, 3 months ago (2015-08-31 23:37:12 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1309263004/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1309263004/40001
5 years, 3 months ago (2015-08-31 23:38:24 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/android_arm64_dbg_recipe/builds/114135) chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, ...
5 years, 3 months ago (2015-08-31 23:43:19 UTC) #9
scottmg
On 2015/08/31 23:43:19, commit-bot: I haz the power wrote: > Try jobs failed on following ...
5 years, 3 months ago (2015-08-31 23:45:02 UTC) #10
brucedawson
That's what I get for skipping the "git cl try" step. It passes now. PTAL?
5 years, 3 months ago (2015-09-01 05:14:23 UTC) #11
scottmg
lgtm
5 years, 3 months ago (2015-09-01 16:07:55 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1309263004/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1309263004/80001
5 years, 3 months ago (2015-09-01 16:08:09 UTC) #14
commit-bot: I haz the power
Committed patchset #5 (id:80001)
5 years, 3 months ago (2015-09-01 16:45:50 UTC) #15
commit-bot: I haz the power
5 years, 3 months ago (2015-09-01 16:47:24 UTC) #16
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/690f7eab5ea2a2a7abb33100a37e5526947b1f22
Cr-Commit-Position: refs/heads/master@{#346671}

Powered by Google App Engine
This is Rietveld 408576698